%define upstream_name    ODF-lpOD
%define upstream_version 1.126

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Open Document Processing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ODF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip) >= 1.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename) >= 2.760.0
BuildRequires: perl(File::Find) >= 1.10.0
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp) >= 0.120.0
BuildRequires: perl(File::Type)
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(Image::Size)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Time::Local) >= 1.70.0
BuildRequires: perl(XML::Twig) >= 3.340.0
BuildRequires: perl(experimental)
BuildArch:  noarch

%description
This module is an office document management interface. It allows the users
to create or transform office documents, or to extract data from them. It
can handle files which comply with the ODF standard and whose type is
_text_ (odt), _spreadsheet_ (ods), _presentation_ (odp) or _drawing_ (odg).
It interacts directly with the files and doesn't depend on a particular
office software.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/lpod_test
%{_mandir}/man1/lpod_test.1.bz2

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.126.0-6pclos2017
- rebuild against updates

